using Newtonsoft.Json;

namespace SGModule.NetKit {
    public class LoginModel {
        [JsonProperty("cdn_url")] public string CdnURL;
        [JsonProperty("country")] public string Country;
        [JsonProperty("debug_log")] public bool DebugLog = true;
        [JsonProperty("enwp")] public int Enwp;
        [JsonProperty("expires_at")] public long ExpiresAt;
        [JsonProperty("invite_code")] public string InviteCode;
        [JsonProperty("is_magic")] public bool IsMagic;
        [JsonProperty("last_login_time")] public long LastLoginTime;
        [JsonProperty("login_time")] public long LoginTime;
        [JsonProperty("new_player")] public bool NewPlayer;
        [JsonProperty("play_data")] public string PlayData;
        [JsonProperty("play_data_ver")] public long PlayDataVer;
        [JsonProperty("reg_time")] public long RegTime;
        [JsonProperty("setting")] public string Setting;
        [JsonProperty("token")] public string Token;
        [JsonProperty("uid")] public long Uid;
    }
}
